Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.security
Class ConstraintMapping

    java.lang.Object
      org.eclipse.jetty.security.ConstraintMapping

    public class ConstraintMapping

extends java.lang.Object

Constructor Summary
`ConstraintMapping()`

Method Summary
`Constraint` | `getConstraint()`
`java.lang.String` | `getMethod()`
`java.lang.String[]` | `getMethodOmissions()`
`java.lang.String` | `getPathSpec()`
`void` | `setConstraint(Constraint constraint)`
`void` | `setMethod(java.lang.String method)`
`void` | `setMethodOmissions(java.lang.String[] omissions)`
`void` | `setPathSpec(java.lang.String pathSpec)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConstraintMapping

    public ConstraintMapping()

Method Detail

### getConstraint

    public Constraint getConstraint()

  Returns:
    Returns the constraint.

### setConstraint

    public void setConstraint(Constraint constraint)

  Parameters:
    `constraint` - The constraint to set.

### getMethod

    public java.lang.String getMethod()

  Returns:
    Returns the method.

### setMethod

    public void setMethod(java.lang.String method)

  Parameters:
    `method` - The method to set.

### getPathSpec

    public java.lang.String getPathSpec()

  Returns:
    Returns the pathSpec.

### setPathSpec

    public void setPathSpec(java.lang.String pathSpec)

  Parameters:
    `pathSpec` - The pathSpec to set.

### setMethodOmissions

    public void setMethodOmissions(java.lang.String[] omissions)

  Parameters:
    `omissions` - The http-method-omission

### getMethodOmissions

    public java.lang.String[] getMethodOmissions()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.